Bug 127542 - Changing USB device while suspended locks up system
Changing USB device while suspended locks up system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-09 12:02 EDT by Sepehr
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sepehr 2004-07-09 12:02:47 EDT
Description of problem:
If I disconnect or connect a usb device while computer is suspended it
will come out of suspend completely frozen. I don't usually reboot my
laptop for months at a time, everyday I suspend and unsuspend on my
travel to and from work. At each location I have a different mouse. I
have to remember to unplug the mouse before I suspend and not plug in
the mouse before I turn on.

Version-Release number of selected component (if applicable):
apm that comes with fc2 (I had same problem with fc1). apci does not
work at all so I have it turned off in grub.

How reproducible:
80% I don't know why

Steps to Reproduce:
1.Turn system on with usb mouse
2.suspend (apm -suspend)
3.Unplug usb mouse
4.Un-suspend

or 

4.Plug in another mouse
5.Un-suspend
  
Actual results:
Get a black screen, no response from keyboard or mouse.

Expected results:
Not lock up

Additional info:
I haven't tried other usb devices to see if problem there as well.
Windows XP on same system does not have problem. This is an IBM t40p
laptop.
Comment 1 Dave Jones 2005-04-16 01:31:48 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.